Bug 485643 - Review Request: django-authopenid - Django application to integrate Django authentication system with OpenID
Review Request: django-authopenid - Django application to integrate Django au...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-15 14:53 EST by Ian Weller
Modified: 2009-02-28 02:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-28 02:39:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2009-02-15 14:53:09 EST
Spec URL: http://ianweller.fedorapeople.org/SRPMS/django-authopenid/0.9.6-1/django-authopenid.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/django-authopenid/0.9.6-1/django-authopenid-0.9.6-1.fc10.src.rpm
Description:
Django authentication application with OpenID using django.contrib.auth.

This application allow a user to connect to you website with:
 * legacy account (username/password)
 * OpenID url

If the user connects with an OpenID they could associate it with their legacy
account or just create a new Django account. When the user is connected
administrators can manage them like usual with django.contrib.auth.

This application also provide views to:
 * change password
 * change account email
 * change associated openid
 * delete account
 * send a new password

Source produced By Benoît Chesneau for Enki Multimedia for the Friendsnippets
project.
Comment 1 Peter Lemenkov 2009-02-16 06:00:39 EST
I'll review it.
Comment 2 Peter Lemenkov 2009-02-16 06:39:28 EST
REVIEW:

+ rpmlint is silent:

[petro@host-12-116 Desktop]$ rpmlint django-authopenid-0.9.6-1.fc10.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
[petro@host-12-116 Desktop]$

+ I'm in doubts about package naming - Django packages in Fedora are named with first letter capitalized. However the upstream named it with all letters in lowercase, so I don't think this is a problem at all.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The file with text of the license, is be included in %doc.
+ The spec file is be written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ md5sum django-authopenid-0.9.6.tar.gz*
b15d22dd9d83a5c5fa8a0a640b40b3f4  django-authopenid-0.9.6.tar.gz
b15d22dd9d83a5c5fa8a0a640b40b3f4  django-authopenid-0.9.6.tar.gz.from_srpm
[petro@Sulaco SOURCES]$ 

+ The package MUST successfully compiles and builds into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1129812

+ All build dependencies are listed in BuildRequires.
+ The package owns all directories that it creates.
+ The package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissable content.
+ Everything, that the package includes as %doc, does not affect the runtime of the application.
+ The package does not own files or directories already owned by other packages. 
+  At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in the package are valid UTF-8. [26]


APPROVED
Comment 3 Ian Weller 2009-02-16 16:28:23 EST
(In reply to comment #2)
> + I'm in doubts about package naming - Django packages in Fedora are named with
> first letter capitalized. However the upstream named it with all letters in
> lowercase, so I don't think this is a problem at all.
I'm going to ask somebody about this real quick.
Comment 4 Tom "spot" Callaway 2009-02-16 16:35:15 EST
Naming is at the packager's discretion.
Comment 5 Ian Weller 2009-02-16 16:38:26 EST
(In reply to comment #4)
> Naming is at the packager's discretion.

Well then, I guess I'll keep the upstream name.


New Package CVS Request
=======================
Package Name: django-authopenid
Short Description: Django application to integrate Django authentication system with OpenID
Owners: ianweller
Branches: F-9 F-10 EL-4 EL-5
InitialCC:
Comment 6 Kevin Fenzi 2009-02-18 14:52:26 EST
cvs done.
Comment 7 Peter Lemenkov 2009-02-28 02:39:38 EST
Closing this Review Request since django-authopenid built and pushed to fedora repositories.

Note You need to log in before you can comment on or make changes to this bug.